Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class FTWords

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.ft.FTExpr
                  org.basex.query.ft.FTWords

    public final class FTWords

extends FTExpr

FTWords expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Nested Class Summary

Nested classes/interfaces inherited from class org.basex.query.expr.Expr
`Expr.Use`

Field Summary

Fields inherited from class org.basex.query.ft.FTExpr
`expr`

Constructor Summary
`FTWords(Data d, byte[] t, boolean f)` Index constructor.
`FTWords(Expr e, FTOpt.FTMode m, Expr[] o)` Sequential constructor.

Method Summary
`FTItem` | `atomic(QueryContext ctx)` This method is called by the sequential full-text evaluation.
`FTExpr` | `comp(QueryContext ctx)` Optimizes and compiles the expression.
`boolean` | `indexAccessible(IndexContext ic)` Checks if an index can be used for query evaluation.
`FTExpr` | `indexEquivalent(IndexContext ic)` Returns an equivalent expression which accesses an index structure.
`FTIter` | `iter(QueryContext ctx)` This method is called by the index-based full-text evaluation.
`void` | `plan(Serializer ser)` Recursively sends the abstract syntax of this expression to the specified serializer.
`boolean` | `removable(Var v, QueryContext ctx)` Checks if the specified variable is removable.
`FTExpr` | `remove(Var v)` Removes the specified variable in a sub expression.
`java.lang.String` | `toString()`
`boolean` | `usesExclude()` Checks if sub expressions of a mild not operator do not violate the grammar.

Methods inherited from class org.basex.query.ft.FTExpr
`color, returned, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTWords

    public FTWords(Expr e,
                   FTOpt.FTMode m,
                   Expr[] o)

  Sequential constructor.

  Parameters:
    `e` - expression
    `m` - search mode
    `o` - occurrences

### FTWords

    public FTWords(Data d,
                   byte[] t,
                   boolean f)

  Index constructor.

  Parameters:
    `d` - data reference
    `t` - text
    `f` - fast evaluation

Method Detail

### comp

    public FTExpr comp(QueryContext ctx)
                throws QueryException

  Description copied from class: `Expr`
  Optimizes and compiles the expression.

  Overrides:
    `comp` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    optimized Expression
  Throws:
    `QueryException` - query exception

### atomic

    public FTItem atomic(QueryContext ctx)
                  throws QueryException

  Description copied from class: `FTExpr`
  This method is called by the sequential full-text evaluation.

  Specified by:
    `atomic` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - query exception

### iter

    public FTIter iter(QueryContext ctx)

  Description copied from class: `FTExpr`
  This method is called by the index-based full-text evaluation.

  Specified by:
    `iter` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item

### indexAccessible

    public boolean indexAccessible(IndexContext ic)

  Description copied from class: `Expr`
  Checks if an index can be used for query evaluation.

  Overrides:
    `indexAccessible` in class `Expr`
  Parameters:
    `ic` - index context
  Returns:
    true if an index can be used

### indexEquivalent

    public FTExpr indexEquivalent(IndexContext ic)

  Description copied from class: `Expr`
  Returns an equivalent expression which accesses an index structure. Must be called if `Expr.indexAccessible(org.basex.query.IndexContext)` is implemented for an expression.

  Overrides:
    `indexEquivalent` in class `FTExpr`
  Parameters:
    `ic` - index context
  Returns:
    Equivalent index-expression or null

### usesExclude

    public boolean usesExclude()

  Description copied from class: `FTExpr`
  Checks if sub expressions of a mild not operator do not violate the grammar.

  Returns:
    result of check

### removable

    public boolean removable(Var v,
                             QueryContext ctx)

  Description copied from class: `Expr`
  Checks if the specified variable is removable.

  Overrides:
    `removable` in class `FTExpr`
  Parameters:
    `v` - variable to be removed
    `ctx` - query context
  Returns:
    result of check

### remove

    public FTExpr remove(Var v)

  Description copied from class: `Expr`
  Removes the specified variable in a sub expression.

  Overrides:
    `remove` in class `FTExpr`
  Parameters:
    `v` - variable to be removed
  Returns:
    expression with removed variable

### plan

    public void plan(Serializer ser)
              throws java.io.IOException

  Description copied from class: `ExprInfo`
  Recursively sends the abstract syntax of this expression to the specified serializer.

  Overrides:
    `plan` in class `FTExpr`
  Parameters:
    `ser` - serializer
  Throws:
    `java.io.IOException` - I/O exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD